| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkWinUi::Notificator Class Referencefinal abstract

Gather notification and popup related functions. More...

## Public Member Functions
virtual | ~Notificator ()
virtual void | popup (const NotificationPositionDescriptor &positionInfo, const PopupYesNoDescriptor &descriptor)=0
virtual void | popup (const NotificationPositionDescriptor &positionInfo, const PopupCustomDescriptor &descriptor)=0

## Detailed Description

Gather notification and popup related functions.

Using the methods in this class, it is possible to issue notifications and popups.

## Constructor & Destructor Documentation

## ◆ ~Notificator()

virtual nkWinUi::Notificator::~Notificator | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ popup() [1/2]

virtual void nkWinUi::Notificator::popup | ( | const NotificationPositionDescriptor & | positionInfo,
|  | const PopupYesNoDescriptor & | descriptor
| ) |  |
| pure virtual

Makes a yes / no popup pop on screen. The function is synchronous and will return after the popup disappears, either through cancelling or accepting.

Parameters

  positionInfo | The description of the position required for the popup.
  descriptor | The description of the behaviour of the popup.

## ◆ popup() [2/2]

virtual void nkWinUi::Notificator::popup | ( | const NotificationPositionDescriptor & | positionInfo,
|  | const PopupCustomDescriptor & | descriptor
| ) |  |
| pure virtual

Makes a popup with a custom interface pop on screen. The function is synchronous and will return after the popup disappears, either through cancelling or accepting. The popup will disappear if :

- The close on click outside flag is on, and the user clicks outside the popup
- The contained interface unloads or hides itself

Parameters

  positionInfo | The description of the position required for the popup.
  descriptor | The description of the behaviour of the popup.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsWinUi/Notifications/Notificator.h